Subject: Re: [PATCH] Fix Tsi108 ethernet driver performance

From: Scott Wood <[email-masked]>
Date: Fri, 13 Jul 2007 15:32:32 -0500

Scott Wood wrote:
> Wouldn't this cause latencies of up to a second in responding to 
> received packets?  I'd think that would be considered excessive.
> 
> And shouldn't NAPI be reducing the RX interrupt load anyway?

Sorry, I missed that you reduced the interval to 20 ms.  Still, a bit on 
the high side, and a source of wasted CPU cycles when the network isn't 
heavily loaded.  How much of a difference in CPU usage did you see with 
this patch?

-Scott